Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.bintype
Class BintypeLiteral

    java.lang.Object
      |
      +--com.bea.wlxt.bintype.Bintype
            |
            +--com.bea.wlxt.bintype.BintypeLiteral

public class BintypeLiteral
extends Bintype

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.wlxt.bintype.Bintype
`codepageEBCDIC`

Constructor Summary
`BintypeLiteral()`

Method Summary
`boolean` | `canBeDelimited()`
`boolean` | `canBeFieldType()`
`boolean` | `canBeLenFieldType()`
`boolean` | `canBeTagFieldType()`
`boolean` | `isCodepageOK()`
`boolean` | `isCutoffRequired()`
`boolean` | `isDateType()`
`boolean` | `isFixedSize()`
`boolean` | `isValueOK()`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `read(java.io.InputStream byteStream, com.bea.wlxt.mfl.MFLField mflField)`
`void` | `write(BintypeOutputStream byteStream, com.bea.wlxt.mfl.MFLField mflField, java.lang.String value)`

Methods inherited from class com.bea.wlxt.bintype.Bintype
`applyPadAndTrim, applyPadTrimAndTruncate, canBeDataDelimited, canBeDelimSeparator, canBePadded, canBePassLiteral, canBeTrimmed, canBeTruncated, canHaveDecimalPlaces, getBinaryBytes, getDescriptionText, getDisplayName, getTypeName, makeString, readDataDelim, readDelimitedField, readLength, readTag, reverseBytes, writeLength, writeTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BintypeLiteral

    public BintypeLiteral()

Method Detail

### read

    public java.lang.String read(java.io.InputStream byteStream,
                                 com.bea.wlxt.mfl.MFLField mflField)
                          throws BintypeException

  Overrides:
    read in class Bintype

### write

    public void write(BintypeOutputStream byteStream,
                      com.bea.wlxt.mfl.MFLField mflField,
                      java.lang.String value)
               throws BintypeException

  Overrides:
    write in class Bintype

### canBeFieldType

    public boolean canBeFieldType()

  Overrides:
    canBeFieldType in class Bintype

### canBeLenFieldType

    public boolean canBeLenFieldType()

  Overrides:
    canBeLenFieldType in class Bintype

### canBeTagFieldType

    public boolean canBeTagFieldType()

  Overrides:
    canBeTagFieldType in class Bintype

### canBeDelimited

    public boolean canBeDelimited()

  Overrides:
    canBeDelimited in class Bintype

### isFixedSize

    public boolean isFixedSize()

  Overrides:
    isFixedSize in class Bintype

### isDateType

    public boolean isDateType()

  Overrides:
    isDateType in class Bintype

### isCutoffRequired

    public boolean isCutoffRequired()

  Overrides:
    isCutoffRequired in class Bintype

### isCodepageOK

    public boolean isCodepageOK()

  Overrides:
    isCodepageOK in class Bintype

### isValueOK

    public boolean isValueOK()

  Overrides:
    isValueOK in class Bintype

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)